GET /contacts/\{id\}/account-statement/activity
GET/contacts/:id/account-statement/activity
GET /contacts/{id}/account-statement/activity
Request
Path Parameters
Query Parameters
Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
org
object
address
object
Possible values: <= 2 characters
config
object
customer
object
address
object
Possible values: <= 2 characters
balances
object[]
nullable
transactions
object[]
nullable
{
"org": {
"name": "string",
"reg_no": "string",
"tax_no": "string",
"vat_no": "string",
"eori_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"info_legal": "string",
"config": {
"logo": "string",
"signature": "string"
},
"website": "string",
"email": "string",
"phone": "string",
"fb": "string",
"insta": "string"
},
"customer": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"date_from": "2024-07-29",
"date_to": "2024-07-29",
"has_period_range": true,
"balances": [
{
"currency": "string",
"invoiced": 0,
"credited": 0,
"paid": 0,
"refunded": 0,
"outstanding": 0,
"opening_invoiced": 0,
"opening_credited": 0,
"opening_paid": 0,
"opening_refunded": 0,
"opening_outstanding": 0,
"total_invoiced": 0,
"total_credited": 0,
"total_paid": 0,
"total_refunded": 0,
"total_outstanding": 0,
"transactions": [
{
"entry": "string",
"date": "2024-07-29",
"invoiced": 0,
"credited": 0,
"paid": 0,
"refunded": 0,
"currency": "string",
"no": "string"
}
]
}
]
}
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
org
object
address
object
Possible values: <= 2 characters
config
object
customer
object
address
object
Possible values: <= 2 characters
balances
object[]
nullable
transactions
object[]
nullable
{
"org": {
"name": "string",
"reg_no": "string",
"tax_no": "string",
"vat_no": "string",
"eori_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"info_legal": "string",
"config": {
"logo": "string",
"signature": "string"
},
"website": "string",
"email": "string",
"phone": "string",
"fb": "string",
"insta": "string"
},
"customer": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"date_from": "2024-07-29",
"date_to": "2024-07-29",
"has_period_range": true,
"balances": [
{
"currency": "string",
"invoiced": 0,
"credited": 0,
"paid": 0,
"refunded": 0,
"outstanding": 0,
"opening_invoiced": 0,
"opening_credited": 0,
"opening_paid": 0,
"opening_refunded": 0,
"opening_outstanding": 0,
"total_invoiced": 0,
"total_credited": 0,
"total_paid": 0,
"total_refunded": 0,
"total_outstanding": 0,
"transactions": [
{
"entry": "string",
"date": "2024-07-29",
"invoiced": 0,
"credited": 0,
"paid": 0,
"refunded": 0,
"currency": "string",
"no": "string"
}
]
}
]
}
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
org
object
address
object
Possible values: <= 2 characters
config
object
customer
object
address
object
Possible values: <= 2 characters
balances
object[]
nullable
transactions
object[]
nullable
{
"org": {
"name": "string",
"reg_no": "string",
"tax_no": "string",
"vat_no": "string",
"eori_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"info_legal": "string",
"config": {
"logo": "string",
"signature": "string"
},
"website": "string",
"email": "string",
"phone": "string",
"fb": "string",
"insta": "string"
},
"customer": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"date_from": "2024-07-29",
"date_to": "2024-07-29",
"has_period_range": true,
"balances": [
{
"currency": "string",
"invoiced": 0,
"credited": 0,
"paid": 0,
"refunded": 0,
"outstanding": 0,
"opening_invoiced": 0,
"opening_credited": 0,
"opening_paid": 0,
"opening_refunded": 0,
"opening_outstanding": 0,
"total_invoiced": 0,
"total_credited": 0,
"total_paid": 0,
"total_refunded": 0,
"total_outstanding": 0,
"transactions": [
{
"entry": "string",
"date": "2024-07-29",
"invoiced": 0,
"credited": 0,
"paid": 0,
"refunded": 0,
"currency": "string",
"no": "string"
}
]
}
]
}